/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2008 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef TAAG_ERRNO_H_
#define TAAG_ERRNO_H_

#define TAAG_SUCCESS          0      /* Successful return code */
/* Communication argument parameters */
#define TAAG_ERR_INIT         1      /* TAAG was not initialized */
#define TAAG_ERR_MPI          2      /* MPI environment was not initialized */
#define TAAG_ERR_FILE         3      /* Invalid file name */
#define TAAG_ERR_ARG          4      /* Invalid argument */
#define TAAG_ERR_SCHEMA       5      /* Invalid schema type */
#define TAAG_ERR_PRANK        6      /* Invalid process rank */
#define TAAG_ERR_GRANK        7      /* Invalid group rank */
#define TAAG_ERR_COUNT        9      /* Invalid argument value*/
#define TAAG_ERR_HWTOPOLOGY   10     /* Hardware topology was not given */
#define TAAG_ERR_NWS          12     /* NWS related error */

#define TAAG_ERR_MEMORY       14     /* Unsuccessful memory allocation */
#define TAAG_ERR_XML          15     /* Incorrect xml mapping file */
#define TAAG_ERR_UNKNOWN      20     /* Unknown error */

#endif /* TAAG_ERRNO_H_ */
