/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef LATENCYMATRIX_H_
#define LATENCYMATRIX_H_

#include <stdio.h>
#include "LatencyValue.h"

using namespace std;

class LatencyMatrix {
	private :
			int size;
			LatencyValue *latencyMatrix;
	public:
		LatencyMatrix(int _size);
		virtual ~LatencyMatrix();
		void initValue(double value1to2, double value2to1, int hostIndex1, int hostIndex2);
		LatencyValue *getValue(int index1, int index2);
		void printOutLatencyMatrix(FILE *f);
};

#endif /* LATENCYMATRIX_H_ */
