/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#include "ListOfHosts.h"

ListOfHosts::ListOfHosts() {
	// TODO Auto-generated constructor stub

}

ListOfHosts::~ListOfHosts() {
	while (!hostList.empty()) {
		HostData *host = hostList.back();
		hostList.pop_back();
		delete host;
	}
}

int ListOfHosts::addHost(HostData *newHost) {
	hostList.push_back(newHost);
	return hostList.size();
}

int ListOfHosts::getNrOfHosts() {
	return hostList.size();
}

HostData *ListOfHosts::getHostByIndex(unsigned int index) {
	if (hostList.empty() || index >= hostList.size() || index < 0) return NULL;
	return hostList[index];
}

void ListOfHosts::clearHosts() {
	if (hostList.empty()) return;
	vector<HostData *>::iterator i;
	for (i = hostList.begin(); i != hostList.end(); i++) {
		delete *i;
	}
	hostList.clear();
}

void ListOfHosts::printOutHosts(FILE *f) {
	if (hostList.empty()) return;
		vector<HostData *>::iterator i;
		for (i = hostList.begin(); i != hostList.end(); i++) {
			fprintf(f, "  %s(%.2f)", (*i)->getHostname(), (*i)->getCPUForecast());
	}
	fprintf(f, "\n");

}
