/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <taag_basic.h>
#include <taag_errno.h>

#include "HostData.h"
#include "ListOfHosts.h"
#include "LatencyMatrix.h"

int _nws_setNameServer(char *_nwsNameServer, unsigned int _nwsNameServerPort) {
	return TAAG_SUCCESS;
}

int _nws_getHosts(ListOfHosts *hostList, int factor) {
	HostData *host;
	host = new HostData(0, "H0", 4.0, 4, factor);
	hostList->addHost(host);
	host = new HostData(1, "H1", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(2, "H2", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(3, "H3", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(4, "H4", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(5, "H5", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(6, "H6", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(7, "H7", 2.0, 2, factor);
	hostList->addHost(host);
	host = new HostData(8, "H8", 4.0, 4, factor);
	hostList->addHost(host);
	host = new HostData(9, "H9", 4.0, 4, factor);
	hostList->addHost(host);
	return TAAG_SUCCESS;
}

int _nws_getLatencies(int nrOfHosts, LatencyMatrix *matrix) {
	matrix->initValue(0.11, 0.11, 0, 1);
	matrix->initValue(0.13, 0.13, 0, 2);
	matrix->initValue(0.16, 0.16, 0, 3);
	matrix->initValue(3.32, 3.32, 0, 4);
	matrix->initValue(3.11, 3.11, 0, 5);
	matrix->initValue(3.16, 3.16, 0, 6);
	matrix->initValue(3.44, 3.44, 0, 7);
	matrix->initValue(11.2, 11.2, 0, 8);
	matrix->initValue(11.1, 11.1, 0, 9);

	matrix->initValue(0.12, 0.12, 1, 2);
	matrix->initValue(0.14, 0.14, 1, 3);
	matrix->initValue(3.32, 3.32, 1, 4);
	matrix->initValue(3.11, 3.11, 1, 5);
	matrix->initValue(3.16, 3.16, 1, 6);
	matrix->initValue(3.44, 3.44, 1, 7);
	matrix->initValue(11.2, 11.2, 1, 8);
	matrix->initValue(11.1, 11.1, 1, 9);

	matrix->initValue(0.53, 0.53, 2, 3);
	matrix->initValue(3.32, 3.32, 2, 4);
	matrix->initValue(3.11, 3.11, 2, 5);
	matrix->initValue(3.16, 3.16, 2, 6);
	matrix->initValue(3.44, 3.44, 2, 7);
	matrix->initValue(11.2, 11.2, 2, 8);
	matrix->initValue(11.1, 11.1, 2, 9);

	matrix->initValue(3.32, 3.32, 3, 4);
	matrix->initValue(3.11, 3.11, 3, 5);
	matrix->initValue(3.16, 3.16, 3, 6);
	matrix->initValue(3.44, 3.44, 3, 7);
	matrix->initValue(11.2, 11.2, 3, 8);
	matrix->initValue(11.1, 11.1, 3, 9);

	matrix->initValue(0.12, 0.12, 4, 5);
	matrix->initValue(0.11, 0.11, 4, 6);
	matrix->initValue(0.23, 0.23, 4, 7);
	matrix->initValue(11.2, 11.2, 4, 8);
	matrix->initValue(11.1, 11.1, 4, 9);

	matrix->initValue(0.11, 0.11, 5, 6);
	matrix->initValue(0.23, 0.23, 5, 7);
	matrix->initValue(11.2, 11.2, 5, 8);
	matrix->initValue(11.1, 11.1, 5, 9);

	matrix->initValue(0.23, 0.23, 6, 7);
	matrix->initValue(11.2, 11.2, 6, 8);
	matrix->initValue(11.1, 11.1, 6, 9);

	matrix->initValue(11.2, 11.2, 7, 8);
	matrix->initValue(11.1, 11.1, 7, 9);

	matrix->initValue(0.15, 0.15, 8, 9);

	return TAAG_SUCCESS;
}
